# Unit uCEFApplicationCore

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

This item has no description.

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Class `TCefApplicationCore` | Parent class of TCefApplication used to simplify the CEF initialization and destruction.
Class `TCEFDirectoryDeleterThread` |
Class `TCEFProxySettings` | Class used by the TWVLoader.ProxySettigns property to configure a custom proxy server using the following command line switches: –no-proxy-server, –proxy-auto-detect, –proxy-bypass-list, –proxy-pac-url and –proxy-server.

### Functions and Procedures

`procedure DestroyGlobalCEFApp;`

### Constants

`CEF_SUPPORTED_VERSION_MAJOR = 145;`
`CEF_SUPPORTED_VERSION_MINOR = 0;`
`CEF_SUPPORTED_VERSION_RELEASE = 22;`
`CEF_SUPPORTED_VERSION_BUILD = 0;`
`CEF_CHROMEELF_VERSION_MAJOR = CEF_SUPPORTED_VERSION_MAJOR;`
`CEF_CHROMEELF_VERSION_MINOR = 0;`
`CEF_CHROMEELF_VERSION_RELEASE = 7632;`
`CEF_CHROMEELF_VERSION_BUILD = 45;`
`CEF_API_VERSION_MIN = 13300;`
`CEF_API_VERSION_LAST = 14500;`
`CEF_API_VERSION = CEF_API_VERSION_LAST;`
`CEF_API_VERSION_EXPERIMENTAL = 999999;`
`CEF_API_HASH_PLATFORM_LINUX = 'f57e722cb70b5ba2567aaaabfda35ab24d1bdf10';`
`CEF_API_HASH_PLATFORM_MAC = 'b2511b07e182653ba558bf1873cc45738ba598da';`
`CEF_API_HASH_PLATFORM_WINDOWS = 'fd311ad9c02d2063d20e6fa3601d66229089b69f';`
`LIBCEF_DLL = 'libcef.dll';`
`CHROMEELF_DLL = 'chrome_elf.dll';`
`LIBCEF_PAK = 'cef.pak';`
`LIBCEF_LOCALE_DIR = 'locales';`
`LIBCEF_LOCALE_ENUS = 'en-US.pak';`

### Variables

`GlobalCEFApp: TCefApplicationCore = nil;`

## Description

### Functions and Procedures

`procedure DestroyGlobalCEFApp;`
This item has no description.

### Constants

`CEF_SUPPORTED_VERSION_MAJOR = 145;`
This item has no description.

`CEF_SUPPORTED_VERSION_MINOR = 0;`
This item has no description.

`CEF_SUPPORTED_VERSION_RELEASE = 22;`
This item has no description.

`CEF_SUPPORTED_VERSION_BUILD = 0;`
This item has no description.

`CEF_CHROMEELF_VERSION_MAJOR = CEF_SUPPORTED_VERSION_MAJOR;`
This item has no description.

`CEF_CHROMEELF_VERSION_MINOR = 0;`
This item has no description.

`CEF_CHROMEELF_VERSION_RELEASE = 7632;`
This item has no description.

`CEF_CHROMEELF_VERSION_BUILD = 45;`
This item has no description.

`CEF_API_VERSION_MIN = 13300;`
values defined in cef_api_versions.json

`CEF_API_VERSION_LAST = 14500;`
This item has no description.

`CEF_API_VERSION = CEF_API_VERSION_LAST;`
This item has no description.

`CEF_API_VERSION_EXPERIMENTAL = 999999;`
value defined in /include/cef_api_hash.h

`CEF_API_HASH_PLATFORM_LINUX = 'f57e722cb70b5ba2567aaaabfda35ab24d1bdf10';`
values defined in cef_api_versions.json

`CEF_API_HASH_PLATFORM_MAC = 'b2511b07e182653ba558bf1873cc45738ba598da';`
This item has no description.

`CEF_API_HASH_PLATFORM_WINDOWS = 'fd311ad9c02d2063d20e6fa3601d66229089b69f';`
This item has no description.

`LIBCEF_DLL = 'libcef.dll';`
This item has no description.

`CHROMEELF_DLL = 'chrome_elf.dll';`
This item has no description.

`LIBCEF_PAK = 'cef.pak';`
for InitLibLocationFromArgs

`LIBCEF_LOCALE_DIR = 'locales';`
This item has no description.

`LIBCEF_LOCALE_ENUS = 'en-US.pak';`
This item has no description.

### Variables

`GlobalCEFApp: TCefApplicationCore = nil;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.